#include "game/sprite.hpp"

Sprite::Sprite(Jd8::Surface gfx)
    : gfx_(gfx) {}

void Sprite::draw() {
    const Frame& f = entitat.frames[entitat.animacions[o].frames[cur_frame]];
    Jd8::blitCK(x, y, gfx_, f.x, f.y, f.w, f.h, 255);
}
